Bug 237446 - __wake_up_common Kernel Panic
__wake_up_common Kernel Panic
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-23 05:19 EDT by BYTRON
Modified: 2012-06-20 12:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/cpuinfo (1.30 KB, text/plain)
2007-04-23 05:19 EDT, BYTRON
no flags Details
dmesg (14.83 KB, text/plain)
2007-04-23 05:22 EDT, BYTRON
no flags Details
kernel panic text from /var/log/messages (2.58 KB, text/plain)
2007-04-26 09:25 EDT, BYTRON
no flags Details

  None (edit)
Description BYTRON 2007-04-23 05:19:54 EDT
We are getting a kernel panic on the following machine once every few days. It
is a CentOS 4.4 machine that is fully up to date with errata as of 23/04/2007.
Please let me know if I can provide you with any more information.

Apr 22 04:02:18 <hostname> syslogd 1.4.1: restart.
Apr 23 01:13:28 <hostname> kernel: Unable to handle kernel paging request at
virtual address 00100100
Apr 23 01:13:28 <hostname> kernel:  printing eip:
Apr 23 01:13:28 <hostname> kernel: c011e7b3
Apr 23 01:13:28 <hostname> kernel: *pde = 355a6001
Apr 23 01:13:28 <hostname> kernel: Oops: 0000 [#1]
Apr 23 01:13:28 <hostname> kernel: SMP
Apr 23 01:13:28 <hostname> kernel: Modules linked in: loop ipt_owner parport_pc
lp parport autofs4 md5 ipv6 ipt_REJECT ipt_state ip_conntrack iptable
_filter ip_tables button battery ac ohci_hcd tg3 floppy dm_snapshot dm_zero
dm_mirror ext3 jbd dm_mod cciss sd_mod scsi_mod
Apr 23 01:13:28 <hostname> kernel: CPU:    1
Apr 23 01:13:28 <hostname> kernel: EIP:    0060:[<c011e7b3>]    Not tainted VLI
Apr 23 01:13:28 <hostname> kernel: EFLAGS: 00010046   (2.6.9-42.0.10.ELsmp)
Apr 23 01:13:28 <hostname> kernel: EIP is at __wake_up_common+0x13/0x51
Apr 23 01:13:28 <hostname> kernel: eax: 00000000   ebx: e6fbb00c   ecx: c282dde0
  edx: 00100100
Apr 23 01:13:28 <hostname> kernel: esi: 00000000   edi: f44c5b98   ebp: f5ba1f30
  esp: f5ba1f18
Apr 23 01:13:28 <hostname> kernel: ds: 007b   es: 007b   ss: 0068
Apr 23 01:13:28 <hostname> kernel: Process authdaemond (pid: 2376,
threadinfo=f5ba1000 task=f5419730)
Apr 23 01:13:28 <hostname> kernel: Stack: 00000000 00100100 00000001 f44c5b98
00000000 00000000 f5ba1f54 c011e81a
Apr 23 01:13:28 <hostname> kernel:        00000000 00000000 00000246 00000001
f44c5b98 f31f3c80 f31f3880 f7e97f80
Apr 23 01:13:28 <hostname> kernel:        c027af30 00000000 f31f3c80 00000000
c02cd151 00000001 f4dfcdf4 00000000
Apr 23 01:13:28 <hostname> kernel: Call Trace:
Apr 23 01:13:28 <hostname> kernel:  [<c011e81a>] __wake_up+0x29/0x3c
Apr 23 01:13:28 <hostname> kernel:  [<c027af30>] sock_def_wakeup+0x2e/0x3c
Apr 23 01:13:28 <hostname> kernel:  [<c02cd151>] unix_release_sock+0x118/0x209
Apr 23 01:13:28 <hostname> kernel:  [<c0277e52>] sock_release+0x11/0x85
Apr 23 01:13:28 <hostname> kernel:  [<c02788b9>] sock_close+0x26/0x2a
Apr 23 01:13:28 <hostname> kernel:  [<c015bb1e>] __fput+0x55/0x100
Apr 23 01:13:28 <hostname> kernel:  [<c015a73d>] filp_close+0x59/0x5f
Apr 23 01:13:28 <hostname> kernel:  [<c02d4903>] syscall_call+0x7/0xb
Apr 23 01:13:28 <hostname> kernel:  [<c02d007b>] packet_rcv+0x46/0x307
Apr 23 01:13:29 <hostname> kernel: Code: 83 c4 1c 5b 5e 5f 5d e9 64 fb ff ff 55
89 e5 5d 8b 40 04 e9 b6 e8 ff ff 55 89 e5 57 89 c7 56 89 ce 53 83 ec
0c 89 55 f0 8b 50 08 <8b> 02 89 45 ec 8d 47 08 39 c2 74 2a 8d 5a f4 8b 52 f4 8b
4d 08
Apr 23 01:13:29 <hostname> kernel:  <0>Fatal exception: panic in 5 seconds
Apr 23 03:37:18 <hostname> syslogd 1.4.1: restart.


Hardware information, Model: HP DL360. dmesg and /proc/cpuinfo are attached
separately.
Comment 1 BYTRON 2007-04-23 05:19:54 EDT
Created attachment 153268 [details]
/proc/cpuinfo
Comment 2 BYTRON 2007-04-23 05:22:33 EDT
Created attachment 153269 [details]
dmesg
Comment 3 BYTRON 2007-04-26 09:25:21 EDT
Created attachment 153509 [details]
kernel panic text from /var/log/messages
Comment 4 BYTRON 2007-04-26 09:26:50 EDT
We experienced another kernel panic on this machine yesterday. More details are
in the above attachment.
Comment 5 BYTRON 2007-05-15 04:47:13 EDT
Exactly the same panic again last night. I had added: -

noapm noacpi nousb nofirewire nopcmcia noaudio

as boot arguments. This seems to have significantly reduced the frequency of the
panic (from every few days to every few weeks). In the absence of a fix, do you
have any recommendations as to what else I can do/disable to further reduce the
frequency of this bug?
Comment 6 Jiri Pallich 2012-06-20 12:15:16 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.